<?php
// Récupération des liens
$bookmarks = get_bookmarks();

// Boucle pour chaque lien trouvé
foreach($bookmarks as $bookmark) {
	// Formatage du résultat
	$partenaires = '<div class="bloc-partenaire">'."\n";
	
	// Ajout de l'image à gauche (en fonction des liens, etc.)
	if(!empty($bookmark->link_image)) {
		if(!empty($bookmark->link_url) && $bookmark->link_url != "#") {
			$partenaires.= '<div class="img"><a href="'.$bookmark->link_url.'" target="'.$bookmark->link_target.'"><img src="'.$bookmark->link_image.'" alt="'.$bookmark->link_description.'"/></a></div>'."\n";
		} else {
			$partenaires.= '<div class="img"><img src="'.$bookmark->link_image.'" alt="'.$bookmark->link_description.'"/></div>'."\n";
		}
	} else {
		$partenaires.= '<div class="img"><img src="'.get_template_directory_uri().'/img/inconnu.png" alt="'.$bookmark->link_description.'"/></div>'."\n";
	}
	
	// Bloc de droite (contenant le nom et la description du lien)
	$partenaires.= '<div class="partenaire">'."\n";
		// Nom du lien
		if(!empty($bookmark->link_name)) {
			$partenaires.= '<h3>'.$bookmark->link_name.'</h3>'."\n";
		}
		
		// Ajout de l'URL du partenaire
		if(!empty($bookmark->link_url) && $bookmark->link_url != "#") {
			$partenaires.= '<p class="url">&raquo; <a href="'.$bookmark->link_url.'" target="'.$bookmark->link_target.'">'.$bookmark->link_url.'</a></p>'."\n";
		}
		
		// Ajout de la description du lien
		if(!empty($bookmark->link_description)) {
			$partenaires.= '<p class="desc">'.$bookmark->link_description.'</p>'."\n";
		}
	$partenaires.= '</div>'."\n";
	
	// Effacement du "float" en CSS (si présent !)
	$partenaires.= '<div class="clear"></div>'."\n";
	
	// Fermeture du bloc complet
	$partenaires.= '</div>'."\n";
	
	// Affichage du résultat
	echo $partenaires;
}
?>